﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfStarterKit.Framework.Navigation
{
    /// <summary>
    /// The ISleep interface should be implemented by view models that want to be signalled when the user is navigating away
    /// from them.
    /// </summary>
    public interface ISleep
    {
        /// <summary>
        /// Give up control of expensive resources when going to sleep
        /// </summary>
        void Sleep();
    }
}
