﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace WpfStarterKit.Framework.ViewModel
{
    /// <summary>
    /// Collection class for passing around values between view models
    /// </summary>
    [Serializable]
    public class ProvidedValuesDictionary : Dictionary<string, object>
    {
        /// <summary>
        /// Constructor
        /// </summary>
        public ProvidedValuesDictionary()
        {
        }

        /// <summary>
        /// Serialization constructor
        /// </summary>
        /// <param name="info">Serialization info</param>
        /// <param name="context">Streaming context</param>
        protected ProvidedValuesDictionary(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}
