﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WpfStarterKit.Framework.ViewModel;
using System.Windows.Input;
using WpfStarterKit.Framework.Commands;
using WpfStarterKit.Framework.UnityExtensions;

namespace WpfStarterKit.SampleApplication.Screens.ModalNavigationSample.MasterPage
{
    public class MasterPageViewModel : UserInterfaceViewModel
    {
        public MasterPageViewModel()
        {
            HomeCommand = new NavigationCommand(NavigationActions.Start);
            ChildPageCommand = new ModalNavigationCommand(NavigationActions.MasterPageChild1);
            SetHHCommand = new RelayCommand(SetHH);
        }

        public virtual ICommand HomeCommand { get; set; }
        public virtual ICommand ChildPageCommand { get; set; }

        public virtual ICommand SetHHCommand { get; set; }

        void SetHH(object parameter)
        {
            Data = "HH";
        }

        public virtual string Data { get; set; }                
    }
}
