﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WpfStarterKit.Framework.ViewModel;
using System.Windows.Input;
using WpfStarterKit.Framework.Commands;

namespace WpfStarterKit.SampleApplication.Screens.NavigationSample.Page1
{
    public class Page1ViewModel : UserInterfaceViewModel
    {
        public Page1ViewModel()
        {
            HomeCommand = new NavigationCommand(NavigationActions.Start);
            Page2Command = new NavigationCommand(NavigationActions.Page2);
            Page3Command = new NavigationCommand(NavigationActions.Page3);
        }

        public virtual ICommand HomeCommand { get; set; }
        public virtual ICommand Page2Command { get; set; }
        public virtual ICommand Page3Command { get; set; }
    }
}
