﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using WpfStarterKit.Framework.Commands;
using WpfStarterKit.Framework.ViewModel;

namespace WpfStarterKit.SampleApplication.Screens.PassingDataAttributes.DataAttributesPage2
{
    public class DataAttributesPage2ViewModel : UserInterfaceViewModel
    {
        public DataAttributesPage2ViewModel()
        {
            HomeCommand = new NavigationCommand(NavigationActions.Start);
            Page1Command = new NavigationCommand(NavigationActions.DataAttributesPage1);
        }

        public virtual ICommand HomeCommand { get; set; }
        public virtual ICommand Page1Command { get; set; }

        [Consume(PropertyName = WellKnownProperties.DataFromPage1)]
        public virtual string Page1Data { get; set; }
    }
}
