﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace WpfStarterKit.Framework.Navigation
{
    /// <summary>
    /// Objects of this class are used to store view model details in the NavigationManager's view model stack
    /// </summary>
    public class ViewStackEntry
    {
        /// <summary>
        /// Navigation action
        /// </summary>
        public string NavigationAction { get; set; }

        /// <summary>
        /// The cached view corresponding to this navigation action
        /// </summary>
        public FrameworkElement View { get; set; }
    }
}
