﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using WpfStarterKit.Framework.ViewModel;
using WpfStarterKit.Framework.Commands;

namespace WpfStarterKit.SampleApplication.Screens.ModalNavigationSample.MasterPageChild1
{
    public class MasterPageChild1ViewModel : UserInterfaceViewModel
    {
        public MasterPageChild1ViewModel()
        {
            BackCommand = new BackCommand();
            ChildPageCommand = new ModalNavigationCommand(NavigationActions.MasterPageChild1Child);
        }

        public virtual ICommand BackCommand { get; set; }
        public virtual ICommand ChildPageCommand { get; set; }

        public virtual string Data { get; set; }
    }
}
