﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using WpfStarterKit.Framework.Commands;
using WpfStarterKit.Framework.ViewModel;

namespace WpfStarterKit.SampleApplication.Screens.NavigationSample.Page2
{
    public class Page2ViewModel : UserInterfaceViewModel
    {
        public Page2ViewModel()
        {
            HomeCommand = new NavigationCommand(NavigationActions.Start);
            Page1Command = new NavigationCommand(NavigationActions.Page1);
            Page3Command = new NavigationCommand(NavigationActions.Page3);
        }

        public virtual ICommand HomeCommand { get; set; }
        public virtual ICommand Page1Command { get; set; }
        public virtual ICommand Page3Command { get; set; }
    }
}
