﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using WpfStarterKit.Framework.ViewModel;
using WpfStarterKit.Framework.Commands;

namespace WpfStarterKit.SampleApplication.Screens.NavigationSample.Page3
{
    public class Page3ViewModel : UserInterfaceViewModel
    {
        public Page3ViewModel()
        {
            HomeCommand = new NavigationCommand(NavigationActions.Start);
            Page1Command = new NavigationCommand(NavigationActions.Page1);
            Page2Command = new NavigationCommand(NavigationActions.Page2);
        }

        public virtual ICommand HomeCommand { get; set; }
        public virtual ICommand Page1Command { get; set; }
        public virtual ICommand Page2Command { get; set; }
    }
}
