﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WpfStarterKit.Framework.ViewModel;
using WpfStarterKit.Framework.Commands;
using System.Windows.Input;

namespace WpfStarterKit.SampleApplication.Screens.Start
{
    public class StartViewModel : UserInterfaceViewModel
    {
        public StartViewModel()
        {
            NavigationSampleCommand = new NavigationCommand(NavigationActions.Page1);
            ModalNavigationSampleCommand = new NavigationCommand(NavigationActions.MasterPage);
            PassingDataInterfaceCommand = new NavigationCommand(NavigationActions.DataPage1);
            PassingDataAttributesCommand = new NavigationCommand(NavigationActions.DataAttributesPage1);
            LongRunningSampleCommand = new NavigationCommand(NavigationActions.LongRunningPage);
        }

        public virtual ICommand NavigationSampleCommand { get; set; }
        public virtual ICommand ModalNavigationSampleCommand { get; set; }
        public virtual ICommand PassingDataInterfaceCommand { get; set; }
        public virtual ICommand PassingDataAttributesCommand { get; set; }
        public virtual ICommand LongRunningSampleCommand { get; set; }
    }
}
