﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfStarterKit.Framework.Navigation;
using WpfStarterKit.SampleApplication.Screens.LongRunningOperation;

namespace WpfStarterKit.SampleApplication
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            ApplicationManager.Instance.Navigation = new NavigationManager(frameMain.NavigationService, "WpfStarterKit.SampleApplication.NavigationMap.xml");
            ApplicationManager.Instance.LongRunningOperations = new SampleLongRunningOperationHandler(WaitSign);
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            ApplicationManager.Instance.Navigation.Start();
        }
    }
}
